# Create customer

Use the **createCustomer** method to add the details of a customer entity into the 2Checkout system. By default, customer status is **Inactive** until you assign a specific subscription to the customer. Following that action, customer status reflects the status of the attached subscription(s).

## Request parameters

<table><thead><tr><th width="145.7332763671875">Parameters</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>sessionID</code></td><td><p><strong>Required (string)</strong></p><p>Session identifier, the output of the <strong>Login</strong> method. Include <code>sessionID</code> into all your requests. 2Checkout throws an exception if the values are incorrect. The <code>sessionID</code> expires in <strong>10 minutes</strong>.</p></td></tr><tr><td><a href="/pages/CWo1eLxjU2JHlgd4r1O4"><code>Customer</code></a></td><td><strong>Object</strong></td></tr></tbody></table>

### Request sample

```php
<?php

require ('PATH_TO_AUTH');

$newCustomer = new stdClass();
$newCustomer->AvangateCustomerReference = null;
$newCustomer->ExternalCustomerReference = 'ThisIsATestReference123456';
$newCustomer->FirstName = 'NewCustomer';
$newCustomer->LastName = 'NewCustomerLastName';
$newCustomer->Company = null;
$newCustomer->FiscalCode = null;
$newCustomer->Address1 = 'Address';
$newCustomer->Address2 = null;
$newCustomer->City = 'LA';
$newCustomer->Zip = '90210';
$newCustomer->CountryCode = 'us';
$newCustomer->Phone = null;
$newCustomer->Fax = null;
$newCustomer->Email = 'newcustomer@email.com';
$newCustomer->ExistingCards = null;
$newCustomer->Enabled = null;
$newCustomer->Trial = null;

// Add Credit object here
$newCustomer->Credit = new stdClass();
$newCustomer->Credit->Limit = 51.0;       // float
$newCustomer->Credit->Remaining = 21.0;   // float
$newCustomer->Credit->Currency = 'EUR';   // string

$jsonRpcRequest = array(
    'method' => 'createCustomer',
    'params' => array($sessionID, $newCustomer),
    'id' => $i++,
    'jsonrpc' => '2.0'
);

var_dump(callRPC((Object)$jsonRpcRequest, $host, true));
```

## Response parameters

<table><thead><tr><th width="250.2667236328125">Parameters</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>AvangateCustomerReference</code></td><td><p><strong>Int</strong></p><p>System-generated customer reference.</p></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/json-rpc-api-reference/json-rpc-api-6.0/api-requests/customer/create-customer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
